libpmi2-0-dev_17.11.2-1build1_i386.deb


Advertisement

Description

libpmi2-0-dev - SLURM PMI2 library implementation development files

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libpmi2-0-dev
Package version 17.11.2
Package release 1build1
Package architecture i386
Package type deb
Installed size 144 B
Download size 31.81 KB
Official Mirror archive.ubuntu.com
SLURM, the Simple Linux Utility for Resource Management,
is an open-source cluster resource management and job scheduling.
This package contains the SLURM PMI2 implementation static library and header
files

Alternatives

Package Version Architecture Repository
libpmi2-0-dev_17.11.2-1build1_amd64.deb 17.11.2 amd64 Ubuntu Universe
libpmi2-0-dev - - -

Requires

Name Value
libpmi2-0 = 17.11.2-1build1
libslurm32 = 17.11.2-1build1

Download

Type URL
Binary Package libpmi2-0-dev_17.11.2-1build1_i386.deb
Source Package slurm-llnl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpmi2-0-dev deb package:
    # sudo apt-get install libpmi2-0-dev

Files

Path
/usr/include/slurm-wlm/pmi2.h
/usr/lib/i386-linux-gnu/libpmi2.a
/usr/lib/i386-linux-gnu/libpmi2.la
/usr/lib/i386-linux-gnu/libpmi2.so
/usr/share/doc/libpmi2-0-dev/NEWS.Debian.gz
/usr/share/doc/libpmi2-0-dev/changelog.Debian.gz
/usr/share/doc/libpmi2-0-dev/copyright

Changelog

2018-02-05 - Dimitri John Ledkov <xnox@ubuntu.com>
slurm-llnl (17.11.2-1build1) bionic; urgency=high
* No change rebuild against openssl1.1.
2018-01-14 - Mehdi Dogguy <mehdi@debian.org>
slurm-llnl (17.11.2-1) unstable; urgency=medium
[ Mehdi Dogguy ]
* New upstream release
- Refresh patches
* Drop old transitional packages (Closes: #878864) and old Replaces
and Breaks statements.
* Fix default pidfile for slurm daemons (See: #885759)
* Use --runstatedir instead of --localstatedir in debian/rules to
specify run state directory.
* Override call to dh_shlibdeps so that dpkg-shlibdeps finds
libslurmfull.so
* Override lintian error binary-or-shlib-defines-rpath: Slurm provides
a private shared library. Its location matches the future name of the
source package.
[ Gennaro Oliva ]
* Drop unused lintian spelling-error-in-binary overrides
* Update d/copyright
* Upgrade Standards-Version to 4.1.2, no changes needed
2017-11-05 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.02.9-1) unstable; urgency=medium
* New upstream release fixes CVE-2017-15566 (Closes: #880530)
* Add new symbols to libslurm31 and libslurmdb31
* Modify header patch to remove google script in the footer
* Rename header patch
2017-10-07 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.02.7-1) unstable; urgency=medium
* New upstream release
* Rightly moving slurmdbd symbols in slurmdbd debug package
* Switch from -dbg packages to automatic -dbgsym
* Change package priority to optional as required by the new standard
* Change d/copyright format uri to https
* Standard version upgraded to 4.1.1
* Increase debhelper version dependency to get rid of dh-systemd
* Add srun, sbatch and sacct autopkgtests
2017-07-03 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.02.5-1) unstable; urgency=medium
[ Mehdi Dogguy and Gennaro Oliva ]
* New upstream release.
* Refresh patches.
* Update libslurm{db,}31.symbols
[ Gennaro Oliva ]
* Update d/copyright and switch to copyright-format 1.0
2017-03-08 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (17.02.1.2-1) unstable; urgency=medium
* New upstream major release
* Update libslurm{,db} package files to soname 31
* Refresh patches and remove those included upstream
* Remove srun_cr man page not installed without blcr support
* Update service files to avoid killing job (Closes: #855905)
2017-02-03 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (16.05.9-1) unstable; urgency=medium
* New upstream release
* Overrides spelling-error-in-binary false positives
2017-01-07 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (16.05.8-1) unstable; urgency=medium
* New upstream release 
* Remove wiki.conf.5 from slurm-client manpages
2016-12-30 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (16.05.7-2) unstable; urgency=medium
* Enable multiple slurmd support (Closes: #849140)
* Drop dependency on openssl-blacklist (Closes: #848627)
* slurmd and slurm-client postrm don't kill slurm processes anymore
* Checks whether the slurm user exists before deleting
* Use numerical uid 64030 to kill slurm owned processes
2016-12-14 - Gennaro Oliva <oliva.g@na.icar.cnr.it>
slurm-llnl (16.05.7-1) unstable; urgency=medium
* New upstream release (Closes: #828549)
* Add libswitch-perl dependency to slurm-wlm-torque (Closes: #847342)
* Add slurmd.README.Debian (Closes: #845268) 
* Move README.Debian to slurmctld.README.Debian
* Add lintian overrides for no bindnow in many packages
* Use jquery.min.js provided by libjs-jquery instead of upstream's
* Add jquery source in missing-sources

See Also

Package Description
libpmi2-0_17.11.2-1build1_i386.deb SLURM PMI2 library implementation
libpmi2-pmix_2.1.1~rc1-1_i386.deb OpenMPI implementation of the PMI v2 library
libpmix-dev_2.1.1~rc1-1_i386.deb Development files for the PMI Exascale library
libpmix2_2.1.1~rc1-1_i386.deb Process Management Interface (Exascale) library
libpmount-dev_0.0.17-3_i386.deb portable mount library - development files
libpmount0_0.0.17-3_i386.deb portable mount library - shared library
libpng++-dev_0.2.9-1_all.deb C++ interface to the PNG (Portable Network Graphics) library
libpng-sixlegs-java-doc_2.0-1_all.deb Documentation for Sixlegs Java PNG Decoder
libpng-sixlegs-java_2.0-1_all.deb Sixlegs Java PNG Decoder
libpnglite-dev_0.1.17-2_i386.deb lightweight C library for loading and writing PNG images
libpnglite0_0.1.17-2_i386.deb lightweight C library for loading and writing PNG images
libpocketsphinx-dev_0.8.0+real5prealpha-1ubuntu2_i386.deb Speech recognition tool - front-end library development files
libpocketsphinx3_0.8.0+real5prealpha-1ubuntu2_i386.deb Speech recognition tool - front-end library
libpocl-dev_1.1-5_i386.deb development files for the pocl library
libpocl2-common_1.1-5_all.deb common files for the pocl library
Advertisement
Advertisement